"use strict";

const combinator = require("@validatem/combinator");
const validationResult = require("@validatem/validation-result");

// TODO: Document that this passes on context

module.exports = function ignoreResult(rules) {
	return combinator((value, applyValidators, context) => {
		let result = applyValidators(value, rules, context);
		
		return validationResult({
			errors: result.errors,
			newValue: undefined
		});
	});
};
